curl -X POST "https://api.chipipay.com/v1/transactions/record-cross-chain-deposit" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx" \
-H "Content-Type: application/json" \
-d '{
"transactionHash": "0x02ab...",
"walletAddress": "0x03329497...",
"token": "USDC",
"amount": "25.500000",
"chain": "STARKNET",
"sourceChain": "Base",
"sourceTxHash": "0x7f3a...",
"sourceDomain": "6",
"finality": "standard",
"feeBps": 0
}'
{
"id": "transaction-0x02ab...",
"transactionHash": "0x02ab...",
"subType": "cross_chain_deposit",
"token": "USDC",
"amount": "25.500000",
"status": "SUCCESS"
}
Record Cross-chain Deposit
Record a completed cross-chain (CCTP) deposit so it shows in the wallet history with its source chain
curl -X POST "https://api.chipipay.com/v1/transactions/record-cross-chain-deposit" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx" \
-H "Content-Type: application/json" \
-d '{
"transactionHash": "0x02ab...",
"walletAddress": "0x03329497...",
"token": "USDC",
"amount": "25.500000",
"chain": "STARKNET",
"sourceChain": "Base",
"sourceTxHash": "0x7f3a...",
"sourceDomain": "6",
"finality": "standard",
"feeBps": 0
}'
{
"id": "transaction-0x02ab...",
"transactionHash": "0x02ab...",
"subType": "cross_chain_deposit",
"token": "USDC",
"amount": "25.500000",
"status": "SUCCESS"
}
curl -X POST "https://api.chipipay.com/v1/transactions/record-cross-chain-deposit" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx" \
-H "Content-Type: application/json" \
-d '{
"transactionHash": "0x02ab...",
"walletAddress": "0x03329497...",
"token": "USDC",
"amount": "25.500000",
"chain": "STARKNET",
"sourceChain": "Base",
"sourceTxHash": "0x7f3a...",
"sourceDomain": "6",
"finality": "standard",
"feeBps": 0
}'
{
"id": "transaction-0x02ab...",
"transactionHash": "0x02ab...",
"subType": "cross_chain_deposit",
"token": "USDC",
"amount": "25.500000",
"status": "SUCCESS"
}
Authorizations
Bearer token — use your secret key (sk_prod_xxx) for server-side calls, or the user's JWT for client-side calls
Your Chipi public API key (pk_xxx)
Body
The Starknet receive_message (mint) transaction hash. Idempotency key.
The recipient Chipi wallet
Token identifier
USDC, USDC_E, USDT, DAI, ETH, STRK, SLINK, ALF, BROTHER, ARB, DOC, MXNB, WLD, WBTC, OTHER Human USDC amount with a decimal point, e.g. "25.500000"
Always STARKNET for a deposit
STARKNET Source chain label for display, e.g. "Base"
The source-chain burn transaction hash
The external wallet that sent the funds
Circle CCTP domain of the source chain
fast: Circle attests after a few confirmations, for a fee taken from the amount. standard: free, attested at the source chain's hard finality.
fast, standard Fee Circle took on the source chain, in basis points (0 for standard)
Response
Deposit recorded
Unique transaction identifier
Blockchain network identifier
STARKNET, BASE, ARBITRUM, OPTIMISM, ROOTSTOCK, SCROLL, WORLDCHAIN On-chain transaction hash
The sender's wallet address
The recipient's wallet address
Transaction lifecycle status
PENDING, PROCESSING, SUCCESS, FAILED, CANCELLED The API key that created this transaction
Transaction type
Transaction sub-type
The contract that was called
The contract function that was called
Token identifier
USDC, USDC_E, USDT, DAI, ETH, STRK, SLINK, ALF, BROTHER, ARB, DOC, MXNB, WLD, WBTC, OTHER The token's contract address
Transfer amount (raw, divide by 10^decimals)
SKU ID if this is a service purchase
Reference provided for the SKU purchase
Purchase amount in local currency
Fiat currency code
MXN, USD File number from the service provider
Internal wallet ID of the sender
Internal wallet ID of the recipient (if also a Chipi wallet)
Was this page helpful?
